#include <iostream>
#include <string>

using std::cout;
using std::endl;
using std::string;

// Adressbuch Klasse
class AddressBook
{
    // *** hier den Container definieren ***
  public:
    // ctor
    AddressBook() = default;
    // dtor
    ~AddressBook() = default;
    // Neue Adresse aufnehmen
   void Insert(const string& name, const string& phone, const string& email);
    // Gibt einzelne Adresse aus
    void PrintAddress(const string& name);
    // Ändert Adressbuch-Eintrag
    bool Update(const string& name, const string& phone, const string& email);
    // Adresse entfernen
    void Remove(const string& name);
    // Liefert Anzahl der Adressbuch-Einträge
    size_t size()
    {

    }
    // Gibt gesamtes Adressbuch aus
    friend std::ostream& operator << (std::ostream& os, AddressBook& abook);
};
// Ausgabe einer Adresse
void AddressBook::PrintAddress(const string& name)
{

}
// Neuen Eintrag ins Adressbuch aufnehmen
void AddressBook::Insert(const string& name, const string& phone, const string& email)
{

}
// Eintrag aus Adressbuch entfernen
void AddressBook::Remove(const string& name)
{

}
// Eintrag abändern
bool AddressBook::Update(const string& name, const string& phone_, const string& email_)
{

}
// Ausgabe des gesamten Adressbuchs
// I.A. kann noch kein const-Objekt übergeben werden da hierfür ein anderer,
// (noch nicht behandelter) Iteratortyp (const_iterator) benötigt wird
std::ostream& operator << (std::ostream& os, AddressBook& abook)
{

}

// main() Funktion
int main()
{
    // Adressbuch dynamisch anlegen
    AddressBook *pAddr = new AddressBook;

    // Einige Einträge hinzufügen
    pAddr->Insert("Emil Maier", "0111/4545", "ema@sonst.net");
    pAddr->Insert("Agathe Maier", "0111/4545", "agma@sonst.net");
    pAddr->Insert("Franzi Xelsbrot", "08888/1234", "frax@kostnix.de");
    pAddr->Insert("Gustav Gans", "09999/1111", "guga@lucky.com");

    // Komplettes Adressbuch ausgeben
    cout << "Adressbuch enthaelt " << pAddr->size() << " Eintraege\n";
    cout << *pAddr;

    // Eintrag abändern
    cout << "Aendere Telefon-Nummer von Gustav Gans:\n";
    pAddr->Update("Gustav Gans", "09999/7777", "guga@lucky.com");
    // Und nur geänderten Eintrag ausgeben
    cout << "Neuer Eintrag ist:\n";
    pAddr->PrintAddress("Gustav Gans");

    // Eintrag entfernen
    cout << "Entferne Franzi Xelsbrot:\n";
    pAddr->Remove("Franzi Xelsbrot");

    // Nochmals komplettes Adressbuch ausgeben
    cout << "Neues Adressbuch enthaelt " << pAddr->size() << " Eintraege:\n";
    cout << *pAddr;

    // Adressbuch löschen
    delete pAddr;
}
