#include <iostream>
#include <iomanip>

using std::cout;
using std::endl;

// Konstante für Zerlegung definieren
const unsigned short var = 0xAA55;

// main() Funktion
int main ()
{
   // Ausgabe auf hex umstellen mit Angabe der Zahlenbasis
   cout << std::hex << std::showbase;
   // High-Byte der Variablen ausgeben
   cout << "High-Byte von " << var << ": " << (var>>8) << endl;
   // Low-Byte der Variablen ausgeben
   cout << "Low-Byte von " << var << ": " << (var&0xFF)
        << endl;
   // Ausgabe wieder auf dezimal zurückstellen
   cout << std::dec;

   // 2er Potenzen ausgeben
   cout << "2 hoch 0: " << (1<<0) << endl;
   cout << "2 hoch 1: " << (1<<1) << endl;
   cout << "2 hoch 2: " << (1<<2) << endl;
   cout << "2 hoch 3: " << (1<<3) << endl;

   // Zum Schluss eine Division durch 8
   cout << "244/8: " << (244>>3) << endl;
}
