#include <iostream>
#include <iomanip>
#include <cstdlib>

using std::cout;
using std::endl;

// Definition der Konstanten für die Feldgrösse
constexpr auto ZEILEN=10;
constexpr auto SPALTEN=10;

// Tabelle definieren
int tabelle[ZEILEN][SPALTEN];

// main() Funktion
int main()
{
   // Tabelle mit Zufallszahlen fuellen
   for (auto zeile=0; zeile<ZEILEN; zeile++)
      for (auto spalte=0; spalte<SPALTEN; spalte++)
         tabelle[zeile][spalte]=std::rand()%10;

   // Hilfsfeld für Spaltensummen anlegen und mit 0 initialisieren
   int spaltenSumme[SPALTEN] {};

   // Alle Zeilen durchlaufen
   for (auto zeile=0; zeile<ZEILEN; zeile++)
   {
      // Zeilensumme auf 0 setzen
      auto zeilenSumme = 0;
      // Alle Spalten der akt. Zeile durchlaufen
      for (auto spalte=0; spalte<SPALTEN; spalte++)
      {
         // Tabellenwert ausgeben
         cout << std::setw(4) << tabelle[zeile][spalte];
         // Zeilensumme aktualisieren
         zeilenSumme += tabelle[zeile][spalte];
         // Spaltensumme aktualisieren
         spaltenSumme[spalte] += tabelle[zeile][spalte];
      }
      // Zeilensumme ausgeben
      cout << " : " << zeilenSumme << endl;
   }

   // Zum Schluss Spaltensummen ausgeben
   cout << "------------------------------------------\n";
   for (auto element: spaltenSumme)
      cout << std::setw(4) << element;
   cout << endl;
}
