#include <iostream>

using std::cout;
using std::endl;

// Klassendefinition
class Rect
{
    short xPos, yPos; // Position
    short width, height; // Breite und Höhe
  public:
    // 1. Konstruktor
    Rect(short x, short y, short w, short h);
    // 2. Konstruktor (Kopierkonstruktor)
    // Hier kann der Standard-Kopierkonstrutor verwendet
    // werden, da keine dyn. Eigenschaften vorhanden sind
    Rect(const Rect& source) = default;
    // Ausgabe der Rechteck Daten
    void PrintRect() const;
};
// Definition der Memberfunktionen
// 1. Konstruktor
// Erhält als Parameter die Rechteck-Daten als 4 short Werte
Rect::Rect(short x, short y, short w, short h)
{
    xPos = x; yPos = y;
    width = w; height = h;
}
// Ausgabe der Rechteck Daten
void Rect::PrintRect() const
{
    cout << "Rechteck auf (" << xPos << "," << yPos << ") ";
    cout << "Groesse: (" << width << "," << height << ")\n";
}

// main() Funktion
int main()
{
    // Erstes Rect Objekt erstellen
    auto pFirstRect = new Rect(10,20,100,200);
    // Zweites Rect Objekt erstellen und mit den Eigenschaften
    // der ersten Rect Objekts initialisieren
    auto pSecondRect = new Rect(*pFirstRect);

    // Rechteckdaten ausgeben
    cout << "1. Rechteck:\n";
    pFirstRect->PrintRect();
    cout << "2. Rechteck:\n";
    pSecondRect->PrintRect();

    // Beide Objekte wieder löschen
    delete pFirstRect;
    delete pSecondRect;
}
