#include <iostream>

using std::cout;
using std::endl;

// Klassendefinition
class Rect
{
    short xPos, yPos; // Position
    short width, height; // Breite und Höhe
  public:
    // 1. Memberfunktion zum setzen der Recheck Daten mit 4 Parametern
    void SetData(short x, short y, short w, short h);
    // 2. Memberfunktion zum Kopieren eines Rechtecks
    void SetData(const Rect& source);
    // Ausgabe der Rechteck Daten
    void PrintRect() const;
};
// Definition der Memberfunktionen
// 1. Memberfunktion SetData() der Klasse Rect
// Erhält als Parameter die Rechteck-Daten als 4 short Werte
void Rect::SetData(short x, short y, short w, short h)
{
    xPos = x; yPos = y;
    width = w; height = h;
}
// 2. Memberfunktion SetData() der Klasse Rect
void Rect::SetData(const Rect& source)
{
    xPos = source.xPos; yPos = source.yPos;
    width = source.width; height = source.height;
}
// Ausgabe der Rechteck Daten
void Rect::PrintRect() const
{
    cout << "Rechteck auf (" << xPos << "," << yPos << ") ";
    cout << "Groesse: (" << width << "," << height << ")\n";
}

// main() Funktion
int main()
{
    // 2 Rechteck Objekte definieren
    Rect firstRect;
    Rect secondRect;
     // Daten der Rechteck Objekte setzen
    firstRect.SetData(10,20,100,200);
    secondRect.SetData(11,22,110,220);

    // Rechteckdaten ausgeben
    cout << "1. Rechteck:\n";
    firstRect.PrintRect();
    cout << "2. Rechteck:\n";
    secondRect.PrintRect();

    // Zweites Rechteck Objekt gleich erstem Objekt setzen
    secondRect.SetData(firstRect);

    // Daten des zweiten Objekts ausgeben
    cout << "2. Rechteck gleich 1. Rechteck gesetzt:\n";
    secondRect.PrintRect();
}
