#include <iostream>
#include <fstream>
#include <string>
#include <sstream>
#include <cstdlib>

using std::cout;
using std::endl;
using std::string;
using std::getline;
using namespace std::string_literals; // Suffix s fuer string einblenden

// Konstante für Dateiname
const auto FILENAME = "adresse.csv"s;

// main() Funktion
int main()
{
   // Eingabedatei öffnen
   std::ifstream inFile;
   inFile.open(FILENAME);
   if (!inFile)
   {
      cout << "Datei " << FILENAME << " kann nicht geoeffnet werden!" << endl;
      exit(1);
   }

   // Komplette Datei bearbeiten
   do
   {
      // Zeile aus der Datei
      string line;
      // Zu extrahierende 'Felder' aus der Dateizeile
      string firstname, lastname, email;
      // Konvertierungsstream
      std::istringstream is;

      // Zeile einlesen
      // Bei erreichen des Dateiendes den Rest überspringen
      if (getline(inFile,line); inFile.eof())
         continue;
      // Eingelesene Zeile in Konvertierungsstream übertragen
      is.str(line);
      // Nun Name und Email-Adresse aus der Zeile extrahieren
      getline(is,firstname,';');
      getline(is,lastname,';');
      getline(is,email,';');
      // und ausgeben
      cout << "Name: " << firstname << ' ' << lastname;
      cout << ", EMail: " << email << '\n';
   } while (!inFile.eof());

   // Datei wieder schliessen
   inFile.close();
}
