#include <iostream>

using std::cout;
using std::endl;

class Demo
{
    int data;               // Beliebige Eigenschaft
public:
    // ctor
    Demo(int d): data(d)
    {}
    // Kopiert das uebergebene Objekt
    void Copy(const Demo& toCopy)
    {
        // Wenn Kopiervorgang auf sich selbst,
        // nur eine Meldung ausgeben
        if (&toCopy == this)
        {
            cout << "Kein kopieren notwendig\n";
        }
        else
        {
            // Objekt kopieren und Meldung ausgeben
            data = toCopy.data;
            cout << "Wert kopiert\n";
        }
    }
};

// main Funktion
int main()
{
    // Zwei Demo-Objekt definieren
    Demo obj1(10);
    Demo obj2(20);
    // obj2 nach obj1 kopieren
    obj1.Copy(obj2);
    // obj2 nach obj2 kopieren (Eigenkopie)
    obj2.Copy(obj2);
}
