#include <iostream>
#include <iomanip>

using std::cout;
using std::endl;

int main()
{
    // Variablen fuer Geburtsdatum definieren und initialisieren
    unsigned char tag = 1, monat = 5;
    unsigned short jahr = 1980;
    // Geburtsdatum ausgeben
    cout << std::setfill('0');
    cout << "Geburtsdatum ist der "
         << std::setw(2) << static_cast<int>(tag) << '.'
         << std::setw(2) << static_cast<int>(monat) << '.'
         << jahr << endl;
    // Referenzvariable auf Geburtsjahr
    decltype(jahr)&  refJahr = jahr;
    cout << "Geburtsjahr ist " << refJahr << endl;
    // Belegten Speicherplatz ausgeben
    cout << "Geburtsjahr belegt " << sizeof(jahr) << " Bytes\n"
         << "und die Referenz darauf " << sizeof(refJahr) << " Bytes\n";
}
