#include <iostream>

using std::cout;
using std::endl;

// Deklaration der Funktion zur Berechnung des Rauminhalts
// Zur Demonstration wird hier einmal der Returntyp der Funktion
// mittels decltype bestimmt
auto CalcCube (unsigned short length, unsigned short width,
                        unsigned short height=1)
                        -> decltype(length*width*height);

// main() Funktion
int main()
{
   // Rauminhalt berechnen
   cout << "Rauminhalt: " << CalcCube(10,11,12) << endl;
   // Fläche berechnen
   cout << "Flaeche: " << CalcCube(10,11) << endl;
}

// Funktion: CalcCube
// Eingang : Länge, Breite, Höhe des Körpers
// Ausgang : Rauminhalt der Körpers
auto CalcCube(unsigned short length, unsigned short width,
                       unsigned short height)
                       -> decltype(length*width*height)
{
   cout << "Daten (L: " << length;
   cout << " B: " << width;
   cout << " H: " << height << ")\n";
   return length * width * height;
}
