#include <iostream>
#include <deque>
#include <string>

using std::cout;
using std::endl;

int main()
{
    std::deque<std::string> workPackages;

    workPackages.emplace_front("Arbeitsaufrag 1");
    workPackages.emplace_front("Arbeitsaufrag 2");
    workPackages.emplace_front("Arbeitsaufrag 3");

    cout << "Anstehende Arbeiten:\n";
    for (const auto& elem: workPackages)
        cout << elem << endl;

    cout << "Bearbeite 2 Arbeitsauftaege:\n";
    cout << workPackages.back() << endl;
    workPackages.pop_back();
    cout << workPackages.back() << endl;;
    workPackages.pop_back();

    cout << "Noch offene Arbeitsauftaege:\n";
    for (const auto& elem: workPackages)
        cout << elem << endl;

    cout << "Neues Arbeitsaufrag:\n";
    workPackages.emplace_front("Arbeitsaufrag 4");

    cout << "Noch offene Arbeitsauftaege:\n";
    for (const auto& elem: workPackages)
        cout << elem << endl;

    cout << "Alle Arbeitsauftaege abarbeiten:\n";
    while (!workPackages.empty())
    {
        cout << workPackages.back() << endl;
        workPackages.pop_back();
    }
}
