#include <iostream>
#include <iomanip>
#include <cstdlib>

using std::cout;
using std::endl;

// main() Funktion
int main ()
{
   // Anzahl der Klassen, Wertebereich und Anzahl der Werte
   constexpr auto ANZKLASSEN = 10;
   constexpr auto BEREICH = 100;
   constexpr auto ANZWERTE = 10000;

   // Klassenfeld definieren und mit 0 initialisieren
   unsigned short klasse[ANZKLASSEN] {};

   // Wertebereich pro Klasse
   constexpr auto DELTA = BEREICH/ANZKLASSEN;

   // Zahlen nun erzeugen
   for (auto index=0; index<ANZWERTE; index++)
   {
      // Zufallszahl im Wertebereich erzeugen
      unsigned short wert = rand()%BEREICH;
      // Klasse berechnen und Klassenzaehler inkrementieren
      unsigned short klassenIndex = wert / DELTA;
      klasse[klassenIndex]++;
   }

   // Variablen für die Aufnahme der Klasse mit den wenigsten
   // bzw. meisten Werten definieren
   auto minKlasse=klasse[0], maxKlasse=klasse[0];

   // Min/Max Werte Werte bestimmen
   for (auto element: klasse)
   {
      if (element < minKlasse)
         minKlasse = element;
      else
         if (element > maxKlasse)
            maxKlasse = element;
   }

   // Statistikdaten ausgeben
   cout << "Statistik-Daten:" << endl;
   cout << "================" << endl << endl;
   for (auto index=0; index<ANZKLASSEN; index++)
      cout << "Klasse " << std::setw(2)<< index+1 << " besetzt mit "
           << std::setw(5) << klasse[index] << " Werten\n";
   cout << "\nKleinster Klassenwert: " << minKlasse << endl;
   cout << "Groesster Klassenwert: " << maxKlasse << endl;
}
