// Dateien iostream und iomanip einbinden
#include <iostream>
#include <iomanip>

using std::cout;
using std::endl;

// Konstante für elektr. Widerstand Kupfer
constexpr auto KWIDERSTAND = 0.0172;
// Leitunglänge in m, Anfangswert mit 10m initialisieren
auto laenge = 10.0;
// Querschnitt der Leitung, Anfangswert 1qmm initialisieren
auto querschnitt = 1.0;

// main() Funktion
int main ()
{
   // Anzahl der Nachkommastellen auf 2 begrenzen
   cout << std::setprecision(2) << std::fixed;

   // Leitungswiderstand bei 10m und 1qmm Querschnitt
   auto widerstand = KWIDERSTAND * laenge / querschnitt;
   cout << "Widerstand bei " << laenge << " m und "
        << querschnitt << " qmm: " << widerstand
        << " Ohm" << endl;

   // Jetzt Leitungsquerschnitt verdoppeln
   querschnitt *= 2.0;
   widerstand = KWIDERSTAND * laenge / querschnitt;
   cout << "Widerstand bei " << laenge << " m und "
        << querschnitt << " qmm: " << widerstand
        << " Ohm" << endl;

   // 10-fache Länge
   laenge *= 10.0;
   widerstand = KWIDERSTAND * laenge / querschnitt;
   cout << "Widerstand bei " << laenge << " m und "
        << querschnitt << " qmm: " << widerstand
        << " Ohm" << endl;
}