#include <iostream>
#include <iomanip>

using std::cout;
using std::endl;

// Klassendefinition
class Complex
{
   // Geschuetzte Eigenschaften
   double real; // Real-Anteil
   double imag; // Imaginär-Anteil
 public:
   // Memberfunktionen
   void Init(decltype(real) r, decltype(imag) i);
   void AddComplex(const Complex& op);
   void SubComplex(const Complex& op);
   void PrintComplex() const;
};

// Definition der Memberfunktionen
// Komplexe Zahl initialisieren
void Complex::Init(decltype(real) r, decltype(imag) i)
{
   real = r;
   imag = i;
}
// 2 komplexe Zahlen addieren
void Complex::AddComplex(const Complex& op)
{
   real += op.real;
   imag += op.imag;
}
// 2 komplexe Zahlen subtrahieren
void Complex::SubComplex(const Complex& op)
{
   real -= op.real;
   imag -= op.imag;
}
// Komplexe Zahl ausgeben
void Complex::PrintComplex() const
{
   cout << "Realteil: " << real;
   cout << " / Imaginaerteil: " << imag << endl;
}

// main() Funktion
int main()
{
   // 2 komplexe Zahlen (Objekte) definieren
   Complex Number1, Number2;
   // Objekte initialisieren
   Number1.Init(1.1, 2.2);
   Number2.Init(3.3, 4.4);
   // Objekte ausgeben
   cout << "1. Komplexe Zahl:\n";
   Number1.PrintComplex();
   cout << "2. Komplexe Zahl:\n";
   Number2.PrintComplex();
   // 2. Objekt zum 1. Objekt addieren
   Number1.AddComplex(Number2);
   // und Ergebnis ausgeben
   cout << "\nNach Addition 2. Zahl zur 1. Zahl\n";
   cout << "Neue 1. Zahl:\n";
   Number1.PrintComplex();
   // 1. Objekt vom 2. Objekt subtrahieren
   Number2.SubComplex(Number1);
   // und Ergebnis ausgeben
   cout << "\nNach Subtraktion der 1. Zahl von der 2. Zahl\n";
   cout << "Neue 2. Zahl:\n";
   Number2.PrintComplex();
}
