#include <iostream>
#include <string>
#include <sstream>

using std::cout;
using std::endl;

// main() Funktion
int main()
{
   // Einzulesende Daten
   int intVar;
   double doubleVar;
   // Eingabezeile
   std::string line;

   // Zeile einlesen
   cout << "Bitte int und double Wert eingeben: ";
   std::getline(std::cin,line);
   // Zeile in Konvertierungsstream übernehmen
   std::istringstream is;
   is.str(line);
   // ASCII -> binär Wandlung durchführen
   is >> intVar >> doubleVar;
   // Falls Eingabe nicht konvertiert werden konnte
   if (is.fail())
      cout << "Falsche Eingabe! " << is.str() << endl;
   // Falls noch Eingaben im Konvertierungsstream vorhanden
   else if (!is.eof())
      cout << "Zuviele Eingaben! " << is.str() << endl;
   // Konvertierung war erfolgreich, Ergebnis ausgeben
   else
   {
      cout << "Die Werte um 10 erhoeht sind: " << intVar+10
           << " und " << doubleVar+10.0 << endl;
   }
}
