
#include <iostream>
#include <fstream>
#include <string>

using std::cout;
using std::endl;
using std::string;
using namespace std::string_literals;

// Zu verarbeitende Datei mit Serienbrieftext
const string FILENAME = "sbrief.txt"s;

// main() Funktion
int main()
{

    // Datei öffnen
    string serienBrief;
    std::ifstream inFile(FILENAME);
    if (!inFile)
    {
        cout << "Fehler beim Oeffnen der Datei " << FILENAME << endl;
        return 1;
    }
    // Komplette Datei in einen string einlesen
    while (!inFile.eof())
    {
        string line;
        // Zeile aus Datei einlesen
        std::getline(inFile,line);
        // und an String anhängen
        serienBrief += line;
        // Zeilenvorschub anhängen
        serienBrief += '\n';
    }

    cout << "=== Orignal-Text war ===\n" << serienBrief << endl;

    // Alle '#' im Text durch Anrede ersetzen
    string::size_type pos = 0;
    do
    {
        if (pos = serienBrief.find('#',pos); pos != string::npos)
            serienBrief.replace(pos,1,"Frau");
    } while (pos != string::npos);

    // Alle '%' im Text durch Namen ersetzen
    pos = 0;
    do
    {
        if (pos = serienBrief.find('%',pos); pos != string::npos)
            serienBrief.replace(pos,1,"Maier");
    } while (pos != string::npos);

    // Nach jedem Punkt nun eine neue Zeile beginnen
    pos = 0;
    do
    {
        if (pos = serienBrief.find('.',pos); pos != string::npos)
        {
            serienBrief.insert(pos+1,"\n");
            serienBrief.erase(pos+2,1);
            pos++;
        }
    } while (pos != string::npos);

    // Grussformel anhängen
    serienBrief.append("Mit freundlichen Gruessen\n");

    cout << "=== Korrgierter Text ist ===\n" << serienBrief << endl;

    return 0;
}
