#include <iostream>
#include <fstream>
#include <cstdlib>

using std::cout;
using std::endl;

// Konstante für Dateinamen definieren
constexpr auto pFILENAME = "daten01.dat";

// main() Funktion
int main ()
{
   // Eingabestream-Objekt definieren und mit Datei verbinden
   std::ifstream InFile;
   InFile.open(pFILENAME);
   // Fehler abfangen!
   if (!InFile)
   {
      cout << "Datei " << pFILENAME << " konnte nicht geöffnet werden!\n";
      exit (1);
   }
   // Summe und Zähler initialisieren
   auto summe = 0.0;
   auto zaehler = 0;

   // Daten aus Datei einlesen bis Dateiende
   do
   {
      // Variable zum Einlesen eines Werts
      double wert;
      // Wert einlesen
      InFile >> wert;
      // Falls nicht Dateiende erreicht
      if (!InFile.eof())
      {
         // Wert zur Kontrolle ausgeben und gleichzeitig Zähler erhöhen
         cout << ++zaehler << ". Wert: " << wert << endl;
         // Wert aufsummieren
         summe += wert;
      }
   } while (!InFile.eof());
   // Bei Dateiende Schleife beenden

   // Datei wieder schliessen
   InFile.close();

   // Falls Werte eingelesen wurden
   if (zaehler)
      // Mittelwert ausgeben
      cout << "Mittelwert der Zahlen: " << summe/zaehler << endl;
   else
      // sonst Meldung ausgeben
      cout << "Keine Werte eingelesen!\n";
}
