#include <iostream>
#include <iomanip>
using std::cout;
using std::endl;
using std::cin;

// Variablen definieren
double startBetrag;
decltype(startBetrag) zinssatz;
decltype(startBetrag) aktBetrag;

// main() Funktion
int main()
{
   // Startbetrag und Zinssatz einlesen
   cout << "Welcher Betrag soll verzinst werden? ";
   cin >> startBetrag;
   cout << "Und zu welchem Zinssatz (in Prozent)? ";
   cin >> zinssatz;

   // Aktuellen Betrag auf Startbetrag setzen
   aktBetrag = startBetrag;
   // Zinsmultiplikator berechnen
   zinssatz = zinssatz/100.0+1.0;
   // Anzahl der Jahre initialisieren
   auto jahr = 1;
   // Ausgabe ohne Exponenten!
   cout << std::fixed;

   // Schleife so lange durchlaufen bis entweder 10 Jahre abgelaufen
   // sind oder der Startbetrag sich verdoppelt hat
   while ((jahr<=10) && (aktBetrag < startBetrag*2.0))
   {
      // Aktuellen Betrag berechnen
      aktBetrag = aktBetrag*zinssatz;
      // Akt. Jahr ausgeben und gleichzeitig erhöhen
      cout << "Am Ende des " << jahr++ << ". Jahr: ";
      // Akt. Betrag auf 2 Nachkommastellen ausgeben
      cout << std::setprecision(2) << aktBetrag << endl;
   }
}
